Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Add generated files to the CVS so that the use of autotools is not necessary to build...
[simgrid.git] / examples / msg / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21 srcdir = @srcdir@
22 top_srcdir = @top_srcdir@
23 VPATH = @srcdir@
24 pkgdatadir = $(datadir)/@PACKAGE@
25 pkglibdir = $(libdir)/@PACKAGE@
26 pkgincludedir = $(includedir)/@PACKAGE@
27 top_builddir = ../..
28 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29 INSTALL = @INSTALL@
30 install_sh_DATA = $(install_sh) -c -m 644
31 install_sh_PROGRAM = $(install_sh) -c
32 install_sh_SCRIPT = $(install_sh) -c
33 INSTALL_HEADER = $(INSTALL_DATA)
34 transform = $(program_transform_name)
35 NORMAL_INSTALL = :
36 PRE_INSTALL = :
37 POST_INSTALL = :
38 NORMAL_UNINSTALL = :
39 PRE_UNINSTALL = :
40 POST_UNINSTALL = :
41 build_triplet = @build@
42 host_triplet = @host@
43 target_triplet = @target@
44 check_PROGRAMS = msg_test$(EXEEXT) msg_test_surfxml_bypassed$(EXEEXT) \
45         msg_test_suspend$(EXEEXT) ping_pong$(EXEEXT)
46 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
47         $(srcdir)/run_msg_test.in $(top_srcdir)/acmacro/dist-files.mk
48 subdir = examples/msg
49 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
50 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
51         $(top_srcdir)/acmacro/compiler-flags.m4 \
52         $(top_srcdir)/acmacro/context.m4 \
53         $(top_srcdir)/acmacro/fancy_configury.m4 \
54         $(top_srcdir)/acmacro/flex.m4 \
55         $(top_srcdir)/acmacro/gras_arch.m4 \
56         $(top_srcdir)/acmacro/print_null.m4 \
57         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
58 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
59         $(ACLOCAL_M4)
60 mkinstalldirs = $(install_sh) -d
61 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
62 CONFIG_CLEAN_FILES = run_msg_test
63 am_msg_test_OBJECTS = msg_test.$(OBJEXT)
64 msg_test_OBJECTS = $(am_msg_test_OBJECTS)
65 msg_test_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
66 am_msg_test_surfxml_bypassed_OBJECTS =  \
67         msg_test_surfxml_bypassed.$(OBJEXT)
68 msg_test_surfxml_bypassed_OBJECTS =  \
69         $(am_msg_test_surfxml_bypassed_OBJECTS)
70 msg_test_surfxml_bypassed_DEPENDENCIES =  \
71         $(top_builddir)/src/libsimgrid.la
72 am_msg_test_suspend_OBJECTS = msg_test_suspend.$(OBJEXT)
73 msg_test_suspend_OBJECTS = $(am_msg_test_suspend_OBJECTS)
74 msg_test_suspend_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
75 am_ping_pong_OBJECTS = ping_pong.$(OBJEXT)
76 ping_pong_OBJECTS = $(am_ping_pong_OBJECTS)
77 ping_pong_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
78 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
79 depcomp = $(SHELL) $(top_srcdir)/depcomp
80 am__depfiles_maybe = depfiles
81 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
82         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
83 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
84         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
85         $(AM_CFLAGS) $(CFLAGS)
86 CCLD = $(CC)
87 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
88         $(AM_LDFLAGS) $(LDFLAGS) -o $@
89 SOURCES = $(msg_test_SOURCES) $(msg_test_surfxml_bypassed_SOURCES) \
90         $(msg_test_suspend_SOURCES) $(ping_pong_SOURCES)
91 DIST_SOURCES = $(msg_test_SOURCES) \
92         $(msg_test_surfxml_bypassed_SOURCES) \
93         $(msg_test_suspend_SOURCES) $(ping_pong_SOURCES)
94 ETAGS = etags
95 CTAGS = ctags
96 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
97 ACLOCAL = @ACLOCAL@
98 ADDR2LINE = @ADDR2LINE@
99 AMDEP_FALSE = @AMDEP_FALSE@
100 AMDEP_TRUE = @AMDEP_TRUE@
101 AMTAR = @AMTAR@
102 AR = @AR@
103 AS = @AS@
104 AUTOCONF = @AUTOCONF@
105 AUTOHEADER = @AUTOHEADER@
106 AUTOMAKE = @AUTOMAKE@
107 AWK = @AWK@
108 BASH = @BASH@
109 CC = @CC@
110 CCDEPMODE = @CCDEPMODE@
111 CFLAGS = @CFLAGS@
112 CPP = @CPP@
113 CPPFLAGS = @CPPFLAGS@
114 CXX = @CXX@
115 CXXCPP = @CXXCPP@
116 CXXDEPMODE = @CXXDEPMODE@
117 CXXFLAGS = @CXXFLAGS@
118 CYGPATH_W = @CYGPATH_W@
119 DEFS = @DEFS@
120 DEPDIR = @DEPDIR@
121 DLLTOOL = @DLLTOOL@
122 DOXYGEN = @DOXYGEN@
123 ECHO = @ECHO@
124 ECHO_C = @ECHO_C@
125 ECHO_N = @ECHO_N@
126 ECHO_T = @ECHO_T@
127 EGREP = @EGREP@
128 EXEEXT = @EXEEXT@
129 F77 = @F77@
130 FFLAGS = @FFLAGS@
131 FLEXML = @FLEXML@
132 GRAMINE_MODE_FALSE = @GRAMINE_MODE_FALSE@
133 GRAMINE_MODE_TRUE = @GRAMINE_MODE_TRUE@
134 GRAS_DEP = @GRAS_DEP@
135 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
136 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
137 INSTALL_DATA = @INSTALL_DATA@
138 INSTALL_PROGRAM = @INSTALL_PROGRAM@
139 INSTALL_SCRIPT = @INSTALL_SCRIPT@
140 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
141 LDFLAGS = @LDFLAGS@
142 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
143 LEX = @LEX@
144 LEXLIB = @LEXLIB@
145 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
146 LIBOBJS = @LIBOBJS@
147 LIBS = @LIBS@
148 LIBTOOL = @LIBTOOL@
149 LN_S = @LN_S@
150 LTLIBOBJS = @LTLIBOBJS@
151 MAINT = @MAINT@
152 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
153 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
154 MAKEINFO = @MAKEINFO@
155 MD5SUM = @MD5SUM@
156 OBJDUMP = @OBJDUMP@
157 OBJEXT = @OBJEXT@
158 PACKAGE = @PACKAGE@
159 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
160 PACKAGE_NAME = @PACKAGE_NAME@
161 PACKAGE_STRING = @PACKAGE_STRING@
162 PACKAGE_TARNAME = @PACKAGE_TARNAME@
163 PACKAGE_VERSION = @PACKAGE_VERSION@
164 PATH_SEPARATOR = @PATH_SEPARATOR@
165 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
166 RANLIB = @RANLIB@
167 SET_MAKE = @SET_MAKE@
168 SHELL = @SHELL@
169 SIMGRID_DEP = @SIMGRID_DEP@
170 STRIP = @STRIP@
171 VERSION = @VERSION@
172 WARNING = @WARNING@
173 abs_builddir = @abs_builddir@
174 abs_srcdir = @abs_srcdir@
175 abs_top_builddir = @abs_top_builddir@
176 abs_top_srcdir = @abs_top_srcdir@
177 ac_configure_args = @ac_configure_args@
178 ac_ct_AR = @ac_ct_AR@
179 ac_ct_AS = @ac_ct_AS@
180 ac_ct_CC = @ac_ct_CC@
181 ac_ct_CXX = @ac_ct_CXX@
182 ac_ct_DLLTOOL = @ac_ct_DLLTOOL@
183 ac_ct_F77 = @ac_ct_F77@
184 ac_ct_OBJDUMP = @ac_ct_OBJDUMP@
185 ac_ct_RANLIB = @ac_ct_RANLIB@
186 ac_ct_STRIP = @ac_ct_STRIP@
187 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
188 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
189 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
190 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
191 am__include = @am__include@
192 am__leading_dot = @am__leading_dot@
193 am__quote = @am__quote@
194 am__tar = @am__tar@
195 am__untar = @am__untar@
196 bindir = @bindir@
197 build = @build@
198 build_alias = @build_alias@
199 build_cpu = @build_cpu@
200 build_id = @build_id@
201 build_os = @build_os@
202 build_vendor = @build_vendor@
203 datadir = @datadir@
204 exec_prefix = @exec_prefix@
205 host = @host@
206 host_alias = @host_alias@
207 host_cpu = @host_cpu@
208 host_os = @host_os@
209 host_vendor = @host_vendor@
210 includedir = @includedir@
211 infodir = @infodir@
212 install_sh = @install_sh@
213 libdir = @libdir@
214 libexecdir = @libexecdir@
215 localstatedir = @localstatedir@
216 mandir = @mandir@
217 mkdir_p = @mkdir_p@
218 oldincludedir = @oldincludedir@
219 prefix = @prefix@
220 program_transform_name = @program_transform_name@
221 pth_skaddr_makecontext = @pth_skaddr_makecontext@
222 pth_sksize_makecontext = @pth_sksize_makecontext@
223 sbindir = @sbindir@
224 sharedstatedir = @sharedstatedir@
225 sysconfdir = @sysconfdir@
226 target = @target@
227 target_alias = @target_alias@
228 target_cpu = @target_cpu@
229 target_os = @target_os@
230 target_vendor = @target_vendor@
231 INCLUDES = -I$(top_srcdir)/include
232 AM_CFLAGS = -g
233 EXTRA_DIST = msg_deployment.xml msg_platform.xml small_platform.xml small_deployment.xml msg_deployment_suspend.xml
234 CLEANFILES = msg_test.trace
235 TESTS = run_msg_test
236 msg_test_SOURCES = msg_test.c
237 msg_test_LDADD = $(top_builddir)/src/libsimgrid.la
238 msg_test_surfxml_bypassed_SOURCES = msg_test_surfxml_bypassed.c
239 msg_test_surfxml_bypassed_LDADD = $(top_builddir)/src/libsimgrid.la
240 msg_test_suspend_SOURCES = msg_test_suspend.c
241 msg_test_suspend_LDADD = $(top_builddir)/src/libsimgrid.la
242 ping_pong_SOURCES = ping_pong.c
243 ping_pong_LDADD = $(top_builddir)/src/libsimgrid.la
244 all: all-am
245
246 .SUFFIXES:
247 .SUFFIXES: .c .lo .o .obj
248 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
249         @for dep in $?; do \
250           case '$(am__configure_deps)' in \
251             *$$dep*) \
252               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
253                 && exit 0; \
254               exit 1;; \
255           esac; \
256         done; \
257         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/msg/Makefile'; \
258         cd $(top_srcdir) && \
259           $(AUTOMAKE) --gnu  examples/msg/Makefile
260 .PRECIOUS: Makefile
261 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
262         @case '$?' in \
263           *config.status*) \
264             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
265           *) \
266             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
267             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
268         esac;
269
270 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
271         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
272
273 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
274         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
275 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
276         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
277 run_msg_test: $(top_builddir)/config.status $(srcdir)/run_msg_test.in
278         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
279
280 clean-checkPROGRAMS:
281         @list='$(check_PROGRAMS)'; for p in $$list; do \
282           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
283           echo " rm -f $$p $$f"; \
284           rm -f $$p $$f ; \
285         done
286 msg_test$(EXEEXT): $(msg_test_OBJECTS) $(msg_test_DEPENDENCIES) 
287         @rm -f msg_test$(EXEEXT)
288         $(LINK) $(msg_test_LDFLAGS) $(msg_test_OBJECTS) $(msg_test_LDADD) $(LIBS)
289 msg_test_surfxml_bypassed$(EXEEXT): $(msg_test_surfxml_bypassed_OBJECTS) $(msg_test_surfxml_bypassed_DEPENDENCIES) 
290         @rm -f msg_test_surfxml_bypassed$(EXEEXT)
291         $(LINK) $(msg_test_surfxml_bypassed_LDFLAGS) $(msg_test_surfxml_bypassed_OBJECTS) $(msg_test_surfxml_bypassed_LDADD) $(LIBS)
292 msg_test_suspend$(EXEEXT): $(msg_test_suspend_OBJECTS) $(msg_test_suspend_DEPENDENCIES) 
293         @rm -f msg_test_suspend$(EXEEXT)
294         $(LINK) $(msg_test_suspend_LDFLAGS) $(msg_test_suspend_OBJECTS) $(msg_test_suspend_LDADD) $(LIBS)
295 ping_pong$(EXEEXT): $(ping_pong_OBJECTS) $(ping_pong_DEPENDENCIES) 
296         @rm -f ping_pong$(EXEEXT)
297         $(LINK) $(ping_pong_LDFLAGS) $(ping_pong_OBJECTS) $(ping_pong_LDADD) $(LIBS)
298
299 mostlyclean-compile:
300         -rm -f *.$(OBJEXT)
301
302 distclean-compile:
303         -rm -f *.tab.c
304
305 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/msg_test.Po@am__quote@
306 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/msg_test_surfxml_bypassed.Po@am__quote@
307 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/msg_test_suspend.Po@am__quote@
308 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ping_pong.Po@am__quote@
309
310 .c.o:
311 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
312 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
313 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
314 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
315 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
316
317 .c.obj:
318 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
319 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
320 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
321 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
322 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
323
324 .c.lo:
325 @am__fastdepCC_TRUE@    if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
326 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
327 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
328 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
329 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
330
331 mostlyclean-libtool:
332         -rm -f *.lo
333
334 clean-libtool:
335         -rm -rf .libs _libs
336
337 distclean-libtool:
338         -rm -f libtool
339 uninstall-info-am:
340
341 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
342         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
343         unique=`for i in $$list; do \
344             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
345           done | \
346           $(AWK) '    { files[$$0] = 1; } \
347                END { for (i in files) print i; }'`; \
348         mkid -fID $$unique
349 tags: TAGS
350
351 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
352                 $(TAGS_FILES) $(LISP)
353         tags=; \
354         here=`pwd`; \
355         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
356         unique=`for i in $$list; do \
357             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
358           done | \
359           $(AWK) '    { files[$$0] = 1; } \
360                END { for (i in files) print i; }'`; \
361         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
362           test -n "$$unique" || unique=$$empty_fix; \
363           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
364             $$tags $$unique; \
365         fi
366 ctags: CTAGS
367 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
368                 $(TAGS_FILES) $(LISP)
369         tags=; \
370         here=`pwd`; \
371         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
372         unique=`for i in $$list; do \
373             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
374           done | \
375           $(AWK) '    { files[$$0] = 1; } \
376                END { for (i in files) print i; }'`; \
377         test -z "$(CTAGS_ARGS)$$tags$$unique" \
378           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
379              $$tags $$unique
380
381 GTAGS:
382         here=`$(am__cd) $(top_builddir) && pwd` \
383           && cd $(top_srcdir) \
384           && gtags -i $(GTAGS_ARGS) $$here
385
386 distclean-tags:
387         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
388
389 check-TESTS: $(TESTS)
390         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
391         srcdir=$(srcdir); export srcdir; \
392         list='$(TESTS)'; \
393         if test -n "$$list"; then \
394           for tst in $$list; do \
395             if test -f ./$$tst; then dir=./; \
396             elif test -f $$tst; then dir=; \
397             else dir="$(srcdir)/"; fi; \
398             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
399               all=`expr $$all + 1`; \
400               case " $(XFAIL_TESTS) " in \
401               *" $$tst "*) \
402                 xpass=`expr $$xpass + 1`; \
403                 failed=`expr $$failed + 1`; \
404                 echo "XPASS: $$tst"; \
405               ;; \
406               *) \
407                 echo "PASS: $$tst"; \
408               ;; \
409               esac; \
410             elif test $$? -ne 77; then \
411               all=`expr $$all + 1`; \
412               case " $(XFAIL_TESTS) " in \
413               *" $$tst "*) \
414                 xfail=`expr $$xfail + 1`; \
415                 echo "XFAIL: $$tst"; \
416               ;; \
417               *) \
418                 failed=`expr $$failed + 1`; \
419                 echo "FAIL: $$tst"; \
420               ;; \
421               esac; \
422             else \
423               skip=`expr $$skip + 1`; \
424               echo "SKIP: $$tst"; \
425             fi; \
426           done; \
427           if test "$$failed" -eq 0; then \
428             if test "$$xfail" -eq 0; then \
429               banner="All $$all tests passed"; \
430             else \
431               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
432             fi; \
433           else \
434             if test "$$xpass" -eq 0; then \
435               banner="$$failed of $$all tests failed"; \
436             else \
437               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
438             fi; \
439           fi; \
440           dashes="$$banner"; \
441           skipped=""; \
442           if test "$$skip" -ne 0; then \
443             skipped="($$skip tests were not run)"; \
444             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
445               dashes="$$skipped"; \
446           fi; \
447           report=""; \
448           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
449             report="Please report to $(PACKAGE_BUGREPORT)"; \
450             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
451               dashes="$$report"; \
452           fi; \
453           dashes=`echo "$$dashes" | sed s/./=/g`; \
454           echo "$$dashes"; \
455           echo "$$banner"; \
456           test -z "$$skipped" || echo "$$skipped"; \
457           test -z "$$report" || echo "$$report"; \
458           echo "$$dashes"; \
459           test "$$failed" -eq 0; \
460         else :; fi
461
462 distdir: $(DISTFILES)
463         $(mkdir_p) $(distdir)/../../acmacro
464         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
465         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
466         list='$(DISTFILES)'; for file in $$list; do \
467           case $$file in \
468             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
469             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
470           esac; \
471           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
472           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
473           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
474             dir="/$$dir"; \
475             $(mkdir_p) "$(distdir)$$dir"; \
476           else \
477             dir=''; \
478           fi; \
479           if test -d $$d/$$file; then \
480             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
481               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
482             fi; \
483             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
484           else \
485             test -f $(distdir)/$$file \
486             || cp -p $$d/$$file $(distdir)/$$file \
487             || exit 1; \
488           fi; \
489         done
490 check-am: all-am
491         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
492         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
493 check: check-am
494 all-am: Makefile
495 installdirs:
496 install: install-am
497 install-exec: install-exec-am
498 install-data: install-data-am
499 uninstall: uninstall-am
500
501 install-am: all-am
502         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
503
504 installcheck: installcheck-am
505 install-strip:
506         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
507           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
508           `test -z '$(STRIP)' || \
509             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
510 mostlyclean-generic:
511
512 clean-generic:
513         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
514
515 distclean-generic:
516         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
517
518 maintainer-clean-generic:
519         @echo "This command is intended for maintainers to use"
520         @echo "it deletes files that may require special tools to rebuild."
521 clean: clean-am
522
523 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
524         mostlyclean-am
525
526 distclean: distclean-am
527         -rm -rf ./$(DEPDIR)
528         -rm -f Makefile
529 distclean-am: clean-am distclean-compile distclean-generic \
530         distclean-libtool distclean-tags
531
532 dvi: dvi-am
533
534 dvi-am:
535
536 html: html-am
537
538 info: info-am
539
540 info-am:
541
542 install-data-am:
543
544 install-exec-am:
545
546 install-info: install-info-am
547
548 install-man:
549
550 installcheck-am:
551
552 maintainer-clean: maintainer-clean-am
553         -rm -rf ./$(DEPDIR)
554         -rm -f Makefile
555 maintainer-clean-am: distclean-am maintainer-clean-generic
556
557 mostlyclean: mostlyclean-am
558
559 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
560         mostlyclean-libtool
561
562 pdf: pdf-am
563
564 pdf-am:
565
566 ps: ps-am
567
568 ps-am:
569
570 uninstall-am: uninstall-info-am
571
572 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
573         clean-checkPROGRAMS clean-generic clean-libtool ctags \
574         distclean distclean-compile distclean-generic \
575         distclean-libtool distclean-tags distdir dvi dvi-am html \
576         html-am info info-am install install-am install-data \
577         install-data-am install-exec install-exec-am install-info \
578         install-info-am install-man install-strip installcheck \
579         installcheck-am installdirs maintainer-clean \
580         maintainer-clean-generic mostlyclean mostlyclean-compile \
581         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
582         tags uninstall uninstall-am uninstall-info-am
583
584
585 dist-files:
586         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
587         @echo
588         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
589 # Tell versions [3.59,3.63) of GNU make to not export all variables.
590 # Otherwise a system limit (for SysV at least) may be exceeded.
591 .NOEXPORT: